Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86068

Summary: neat crashes on saving an added device when run remotely
Product: [Retired] Red Hat Linux Reporter: Kim Lux <lux>
Component: redhat-config-networkAssignee: Harald Hoyer <harald>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i586   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-02-05 14:14:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kim Lux 2003-03-13 15:26:59 UTC
From Bugzilla Helper:User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)Description of problem:I'm running neat remotely, ie using ssh.  I'm trying to add a CIPE connection to the remote computer.  Everything goes well until I save the new configuration, whereing neat crashes.   Version-Release number of selected component (if applicable):The one shipped with psycheHow reproducible:AlwaysSteps to Reproduce:1. log into the remote computer using ssh		2. start neat, supply root password if necessary3. add, CIPE, set everything, apply4. on the main neat screen, press apply5. neat crashes and tells me to report this to bugzilla    Actual Results:  Traceback (most recent call last):  File "/usr/sbin/neat", line 496, in on_applyButton_clicked    self.save()  File "/usr/sbin/neat", line 319, in save    self.saveDevices()  File "/usr/sbin/neat", line 326, in saveDevices    devicelist.save()  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py", line 118, in save    dev.save()  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line 346, in save    self.Cipe.save(conf)  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 158, in save    conf.write()  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCCipe.py", line 89, in write    Conf.Conf.write(self)  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 278, in write    self.file = open(self.filename, 'w', -1)IOError: [Errno 2] No such file or directory: '/etc/cipe/options.cipcb0'Expected Results:  It should have saved the new setup, ie with CIPE and exited cleanly. Additional info:Nothing that I can think of.  Email me at lux@diesel-research.com if you have any questions.

Comment 1 Kim Lux 2003-03-13 15:54:53 UTC
This problem can be solved by creating a dummy /etc/cipe/options.cipcb0 file.     I don't think it was the file missing as much as the dir not being present that caused the problem.    I've set cipe up on several computers and this is the first one that had the problem.  

Comment 2 Harald Hoyer 2003-03-14 11:13:37 UTC
please install the cipe rpm first on that machine